com.r3corda.contracts.asset / Obligation / Commands / Settle

# Settle

`data class Settle<P> : Commands, IssuanceCommands<P>`

A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

See Also

MoveCommand

### Constructors

<init> | `Settle(aggregateState: IssuanceDefinition<P>, amount: Amount<P>)` A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

### Properties

aggregateState | `val aggregateState: IssuanceDefinition<P>`
amount | `val amount: Amount<P>`